set_file_buffer
symlink
Filesystem Functions
PHP Manual

# stat

(PHP 4, PHP 5, PECL maxdb:7.5.00.24-7.6.00.38)

stat — Gives information about a file

### Description

array stat ( string `$filename` )

Gathers the statistics of the file named by `filename` . If `filename` is a symbolic link, statistics are from the file itself, not the symlink.

lstat() is identical to stat() except it would instead be based off the symlinks status.

### Parameters

`filename`

  Path to the file.

### Return Values

stat() and fstat() result format
Numeric | Associative (since PHP 4.0.6) | Description
--- | --- | ---
0 | dev | device number
1 | ino | inode number
2 | mode | inode protection mode
3 | nlink | number of links
4 | uid | userid of owner
5 | gid | groupid of owner
6 | rdev | device type, if inode device
7 | size | size in bytes
8 | atime | time of last access (Unix timestamp)
9 | mtime | time of last modification (Unix timestamp)
10 | ctime | time of last inode change (Unix timestamp)
11 | blksize | blocksize of filesystem IO *
12 | blocks | number of blocks allocated *

* Only valid on systems supporting the st_blksize type - other systems (e.g. Windows) return -1.

In case of error, stat() returns `FALSE`.

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### ChangeLog

Version | Description
--- | ---
4.0.6 | In addition to returning these attributes in a numeric array, they can be accessed with associative indices, as noted next to each parameter

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- lstat()
- fstat()
- filemtime()
- filegroup()

set_file_buffer
symlink
Filesystem Functions
PHP Manual